//
//  CurrencyList.swift
//  UICurrency
//
//  Created by Joe Gregg on 8/8/22.
//

import SwiftUI

struct CurrencyList : View {
    var currencies : [String]
    @Binding var selected : String
    
    var body : some View {
        List {
            ForEach(currencies,id: \.self) { currency in
                Text(currency).onTapGesture {
                    self.selected = currency
                }.listRowBackground(self.selected == currency ? Color.accentColor : Color(UIColor.systemGroupedBackground))
            }
        }
    }
}
